Package org.apache.solr.client.solrj.impl

## Class SolrClientCloudManager

- java.lang.Object
- - org.apache.solr.client.solrj.impl.SolrClientCloudManager

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `SolrCloudManager`, `SolrCloseable`

    public class SolrClientCloudManager
    extends Object
    implements SolrCloudManager

Class that implements `SolrCloudManager` using a SolrClient

### Field Summary

Fields
`protected CloudLegacySolrClient` `solrClient`

### Constructor Summary

Constructors
`SolrClientCloudManager​(DistributedQueueFactory queueFactory, CloudLegacySolrClient solrClient)`
`SolrClientCloudManager​(DistributedQueueFactory queueFactory, CloudLegacySolrClient solrClient, ObjectCache objectCache)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`ClusterStateProvider` `getClusterStateProvider()`
`DistribStateManager` `getDistribStateManager()`
`DistributedQueueFactory` `getDistributedQueueFactory()`
`NodeStateProvider` `getNodeStateProvider()`
`ObjectCache` `getObjectCache()`
`TimeSource` `getTimeSource()`
`SolrZkClient` `getZkClient()`
`byte[]` `httpRequest​(String url, SolrRequest.METHOD method, Map<String,​String> headers, String payload, int timeout, boolean followRedirects)`
`boolean` `isClosed()`
`<T extends SolrResponse> T` `request​(SolrRequest<T> req)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.client.solrj.cloud.SolrCloudManager

`getClusterState`

### Field Detail

#### solrClient

    protected final CloudLegacySolrClient solrClient

### Constructor Detail

#### SolrClientCloudManager

    public SolrClientCloudManager​(DistributedQueueFactory queueFactory,
                                  CloudLegacySolrClient solrClient)

#### SolrClientCloudManager

    public SolrClientCloudManager​(DistributedQueueFactory queueFactory,
                                  CloudLegacySolrClient solrClient,
                                  ObjectCache objectCache)

### Method Detail

#### close

    public void close()

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`

#### isClosed

    public boolean isClosed()

Specified by:
  `isClosed` in interface `SolrCloseable`

#### getObjectCache

    public ObjectCache getObjectCache()

Specified by:
  `getObjectCache` in interface `SolrCloudManager`

#### getTimeSource

    public TimeSource getTimeSource()

Specified by:
  `getTimeSource` in interface `SolrCloudManager`

#### getClusterStateProvider

    public ClusterStateProvider getClusterStateProvider()

Specified by:
  `getClusterStateProvider` in interface `SolrCloudManager`

#### getNodeStateProvider

    public NodeStateProvider getNodeStateProvider()

Specified by:
  `getNodeStateProvider` in interface `SolrCloudManager`

#### getDistribStateManager

    public DistribStateManager getDistribStateManager()

Specified by:
  `getDistribStateManager` in interface `SolrCloudManager`

#### request

    public <T extends SolrResponse> T request​(SolrRequest<T> req)
                                       throws IOException

Specified by:
  `request` in interface `SolrCloudManager`
Throws:
  `IOException`

#### httpRequest

    public byte[] httpRequest​(String url,
                              SolrRequest.METHOD method,
                              Map<String,​String> headers,
                              String payload,
                              int timeout,
                              boolean followRedirects)
                       throws IOException

Specified by:
  `httpRequest` in interface `SolrCloudManager`
Throws:
  `IOException`

#### getZkClient

    public SolrZkClient getZkClient()

#### getDistributedQueueFactory

    public DistributedQueueFactory getDistributedQueueFactory()

Specified by:
  `getDistributedQueueFactory` in interface `SolrCloudManager`